petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCJACOBI

Jacobi (i.e. diagonal scaling preconditioning)

### Options Database Key

| -pc_jacobi_type <diagonal,rowmax,rowsum> | - approach for forming the preconditioner Many br
| -pc_jacobi_abs | - use the absolute value of the diagonal entry Many br

Many br

Notes: By using KSPSetPCSide(ksp,PC_SYMMETRIC) or -ksp_pc_side symmetric Many brcan scale each side of the matrix by the square root of the diagonal entries. Many br

Zero entries along the diagonal are replaced with the value 1.0 Many br

See PCPBJACOBI for a point-block Jacobi preconditioner Many br

### See Also

PCCreate(), PCSetType(), PCType (for list of available types), PC,
PCJacobiSetType(), PCJacobiSetUseAbs(), PCJacobiGetUseAbs(), PCPBJACOBI Many br

Level:beginner
Location:src/ksp/pc/impls/jacobi/jacobi.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex1.c.html
src/ksp/ksp/examples/tutorials/ex7.c.html
src/ksp/ksp/examples/tutorials/ex15.c.html
src/ksp/ksp/examples/tutorials/ex23.c.html
src/ksp/ksp/examples/tutorials/ex58.c.html
src/ksp/ksp/examples/tutorials/ex1f.F.html
src/ksp/ksp/examples/tutorials/ex2f.F.html
src/ksp/ksp/examples/tutorials/ex15f.F.html
src/ksp/ksp/examples/tutorials/ex21f.F.html
src/snes/examples/tutorials/ex74f.F90.html